<button class="btn btnOpen btn-light" appOcticons octicon="report" width="24" *ngIf="!isOpen"
  (click)="openChat()"></button>

<div class="chat-container container-fluid card shadow p-3 bg-white rounded" *ngIf="isOpen">
  <div class="card" class="main-card">
    <div class="chat-header">
      <div>Assistance en ligne : </div>
      <div class="containerBtnCreate">
        <button class="btn btn-light" appOcticons octicon="plus" width="24" data-toggle="tooltip"
          title="Creer une session" (click)="initIoConnection()" *ngIf="!isCo && roleUser === 'USER'">
        </button>
        <button class="btn btn-light" appOcticons octicon="sync" width="24" data-toggle="tooltip" title="Rafraichir"
          (click)="refresh()" *ngIf="roleUser === 'ADMIN'">
        </button>
        <button class="btn btn-light" appOcticons octicon="trashcan" width="24" data-toggle="tooltip"
          title="Fermer la session" (click)="logOut()" *ngIf="isCo">
        </button>
      </div>


      <button class="btn btn-header btn-light" appOcticons octicon="chevron-down" width="24"
        (click)="openChat()"></button>
    </div>
    <ul class="list-group" #bootsList>
      <li *ngFor="let message of messages" #bootsListChild>
        <app-chat-message [message]="message"></app-chat-message>
      </li>
    </ul>
    <div class="chat-footer-container" fxLayout="row">

      <form [formGroup]="ChatForm" (ngSubmit)="ChatForm.valid && sendMessage(ChatForm.value)"
        class="chat-input input-group flex-nowrap ">
        <input type="text" id="chat_txt" name="chat_txt" class="form-control" formControlName="chat_txt" #inputMessage
          maxlength="140" placeholder="Entrez votre message">
      </form>
      <button class="btn btn-light" appOcticons octicon="triangle-right" width="24"
        (click)="sendMessage(ChatForm.value)" [disabled]="isDisabled"></button>
    </div>
  </div>
</div>
